Subject: [alpine-aports] [PATCH] testing/spacefm: update to 1.0.0

From: Stuart Cardall <[email-masked]>
Date: Mon, 20 Apr 2015 11:26:44 +0000

This updates to 1.0.0 & now builds a GTK3 & GTK2 version. The
GTK2 version runs without any gtk errors. doc / lang packages
also now split out.
---
 testing/spacefm/APKBUILD | 58 +++++++++++++++++++++++++++++++++++-------------
 1 file changed, 42 insertions(+), 16 deletions(-)

diff --git a/testing/spacefm/APKBUILD b/testing/spacefm/APKBUILD
index 5588f65..9d0751d 100644
--- a/testing/spacefm/APKBUILD
+++ b/testing/spacefm/APKBUILD
@@ -1,30 +1,56 @@
-# Maintainer:
+# Maintainer: Stuart Cardall <[email-masked]>
 # Contributor: Bartłomiej Piotrowski <[email-masked]>
 
 pkgname=spacefm
-pkgver=0.9.4
-pkgrel=1
-pkgdesc='Multi-panel tabbed file manager'
+pkgver=1.0.0
+pkgrel=0
+pkgdesc='Multi-panel tabbed file manager (GTK2 version)'
 arch=all
 url='http://ignorantguru.github.com/spacefm/'
 license='GPL3'
 depends='bash'
-makedepends='intltool gettext-dev gtk+3.0-dev udev-dev'
-subpackages="$pkgname-lang"
-source="https://github.com/IgnorantGuru/spacefm/archive/$pkgver.tar.gz"
+makedepends='intltool gettext-dev gtk+2.0-dev gtk+3.0-dev udev-dev ffmpegthumbnailer-dev linux-headers'
+subpackages="$pkgname-lang $pkgname-doc $pkgname-gtk3 $pkgname-gtk3-lang:lang3 $pkgname-gtk3-doc:doc3"
+source="saveas-https://github.com/IgnorantGuru/spacefm/archive/$pkgver.tar.gz/$pkgname-$pkgver.tar.gz"
 
 build() {
-  cd "$srcdir"/$pkgname-$pkgver
-  ./configure --prefix=/usr \
-    --disable-pixmaps || return 1
-  make || return 1
+	cd "$srcdir"/$pkgname-$pkgver
+	./configure --prefix=/usr \
+		--with-gtk2\
+		-disable-pixmaps || return 1
+	make || return 1
+}
+
+gtk3() {
+	cd "$srcdir"/$pkgname-$pkgver
+	pkgdesc="Multi-panel tabbed file manager (GTK3 version)"
+	replaces="spacefm"
+	mkdir "$subpkgdir"
+	make clean || return 1
+	./configure --prefix=/usr \
+		--with-gtk3\
+		-disable-pixmaps || return 1
+        make || return 1
+	make -j1 DESTDIR="$subpkgdir" install || return 1
+}
+
+lang3() {
+	arch="noarch"
+	mkdir -p "$subpkgdir/usr/share"
+	mv "${pkgdir%*spacefm}$pkgname-gtk3/usr/share/locale" "$subpkgdir/usr/share/"
+}
+
+doc3() {
+	arch="noarch"
+	mkdir -p "$subpkgdir/usr/share"
+        mv "${pkgdir%*spacefm}$pkgname-gtk3/usr/share/doc" "$subpkgdir/usr/share/"
 }
 
 package() {
-  cd "$srcdir"/$pkgname-$pkgver
-  make -j1 DESTDIR="$pkgdir" install || return 1
+	cd "$srcdir"/$pkgname-$pkgver
+	make -j1 DESTDIR="$pkgdir" install || return 1
 }
 
-md5sums="daeee7dcccea33d6258a0a9d783470c4  0.9.4.tar.gz"
-sha256sums="adca07a487ba75f5226a0f355df2c5cf080987b58fb38cc3475eac7f4a131b1a  0.9.4.tar.gz"
-sha512sums="a3aa745769c9baddbf15cfb4ca87c29e8ed52002a8865dc72772e9e11b1395938e2916e47238de4601393a326d2b38e9cd716a09f06e90caa7ede5724b18dedf  0.9.4.tar.gz"
+md5sums="0aa34602f2b2a41b57e60ec735b60053  spacefm-1.0.0.tar.gz"
+sha256sums="7460df267ba846d4c9d31f26d76b08508068e0aa39a3c0f6e8e6c962286fc6a3  spacefm-1.0.0.tar.gz"
+sha512sums="e3ce68291baca59ea48b254b163d0db1a7324f11eb9dc0c1a4c42bd3b197dc8dcd458ffebe00fad94662e8e51217af43211b1b6e5d091cdb0a39d0020d46fbac  spacefm-1.0.0.tar.gz"
-- 
2.3.5

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---